Get GRC Assessment
curl --request GET \
--url https://api.leen.dev/v1/grc/assessments/{assessment_id} \
--header 'X-API-KEY: <api-key>' \
--header 'X-CONNECTION-ID: <api-key>'import requests
url = "https://api.leen.dev/v1/grc/assessments/{assessment_id}"
headers = {
"X-CONNECTION-ID": "<api-key>",
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-CONNECTION-ID': '<api-key>', 'X-API-KEY': '<api-key>'}
};
fetch('https://api.leen.dev/v1/grc/assessments/{assessment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_id": "<string>",
"template_name": "<string>",
"vendor_attributes": {
"id": "<string>",
"vendor": "<string>",
"data": {}
},
"state": "NEW",
"respondent": "<string>",
"control_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"questions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"question": "<string>",
"question_type": "<string>",
"vendor_attributes": {
"id": "<string>",
"vendor": "<string>",
"data": {}
},
"description": "<string>",
"question_type_metadata": {
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
},
"mandatory": false,
"parent_vendor_id": "<string>",
"response": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"sub_questions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"question": "<string>",
"question_type": "<string>",
"vendor_attributes": {
"id": "<string>",
"vendor": "<string>",
"data": {}
},
"description": "<string>",
"question_type_metadata": {
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
},
"mandatory": false,
"parent_vendor_id": "<string>",
"response": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"sub_questions": "<unknown>",
"condition": {
"value": "<string>",
"operator": "EQ"
}
}
]
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}Assessments
Get GRC Assessment
Get a specific GRC assessment for a given connection.
GET
/
grc
/
assessments
/
{assessment_id}
Get GRC Assessment
Path Parameters
Response
Successful Response
Response model for returning GRC assessment details via an API endpoint.
Leen's UUID for the GRC assessment
Identifier for the assessment template
Name of the assessment template
Vendor-specific attributes and identifiers
Show child attributes
Show child attributes
Current state of the assessment
Available options:
NEW, IN_PROGRESS, COMPLETED, CANCELLED Name or identifier of the respondent for the assessment
Identifier of the associated GRC control
Timestamp when the assessment was created
Timestamp when the assessment was last updated
List of questions along with their responses
Show child attributes
Show child attributes
⌘I